salt-cp

# `salt-cp`

Copy a file to a set of systems

## Synopsis

    salt-cp '*' [ options ] SOURCE DEST

    salt-cp -E '.*' [ options ] SOURCE DEST

    salt-cp -G 'os:Arch.*' [ options ] SOURCE DEST

## Description

Salt copy copies a local file out to all of the Salt minions matched by the given target.

## Options

`--version```

  Print the version of Salt that is running.

`--versions-report```

  Show program's dependencies and version number, and then exit

`-h````,` `--help```

  Show the help message and exit

`-c` `CONFIG_DIR``,` `--config-dir``=CONFIG_dir`

  The location of the Salt configuration directory. This directory contains the configuration files for Salt master and minions. The default location on most systems is `/etc/salt`.

`-t` `TIMEOUT``,` `--timeout``=TIMEOUT`

  The timeout in seconds to wait for replies from the Salt minions. The timeout number specifies how long the command line client will wait to query the minions and check on running jobs. Default: 5

### Logging Options

Logging options which override any settings defined on the configuration files.

`-l` `LOG_LEVEL``,` `--log-level``=LOG_LEVEL`

  Console logging log level. One of `all`, `garbage`, `trace`, `debug`, `info`, `warning`, `error`, `quiet`. Default: `warning`.

`--log-file``=LOG_FILE`

  Log file path. Default: /var/log/salt/master.

`--log-file-level``=LOG_LEVEL_LOGFILE`

  Logfile logging log level. One of `all`, `garbage`, `trace`, `debug`, `info`, `warning`, `error`, `quiet`. Default: `warning`.

### Target Selection

`-E````,` `--pcre```

  The target expression will be interpreted as a PCRE regular expression rather than a shell glob.

`-L````,` `--list```

  The target expression will be interpreted as a comma-delimited list; example: server1.foo.bar,server2.foo.bar,example7.quo.qux

`-G````,` `--grain```

  The target expression matches values returned by the Salt grains system on the minions. The target expression is in the format of '<grain value>:<glob expression>'; example: 'os:Arch*'

  This was changed in version 0.9.8 to accept glob expressions instead of regular expression. To use regular expression matching with grains, use the --grain-pcre option.

`--grain-pcre```

  The target expression matches values returned by the Salt grains system on the minions. The target expression is in the format of '<grain value>:< regular expression>'; example: 'os:Arch.*'

`-N````,` `--nodegroup```

  Use a predefined compound target defined in the Salt master configuration file.

`-R````,` `--range```

  Instead of using shell globs to evaluate the target, use a range expression to identify targets. Range expressions look like %cluster.

  Using the Range option requires that a range server is set up and the location of the range server is referenced in the master configuration file.

## See also

salt(1) salt-master(1) salt-minion(1)

Current Salt release: 0.17.1

### Table Of Contents

- `salt-cp`
  - Synopsis
  - Description
  - Options
    - Logging Options
    - Target Selection
  - See also

#### Previous topic

`salt-key`

#### Next topic

`salt-call`

### Quick search

Enter search terms or a module, class or function name.

### Upcoming SaltStack Events

My conferences on Lanyrd